import { Signer, ContractFactory, Overrides } from "ethers";
import { Provider, TransactionRequest } from "@ethersproject/providers";
import type { GraphProxyStorage, GraphProxyStorageInterface } from "../GraphProxyStorage";
export declare class GraphProxyStorage__factory extends ContractFactory {
    constructor(signer?: Signer);
    deploy(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<GraphProxyStorage>;
    getDeployTransaction(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): TransactionRequest;
    attach(address: string): GraphProxyStorage;
    connect(signer: Signer): GraphProxyStorage__factory;
    static readonly bytecode = "0x6080604052348015600f57600080fd5b50603f80601d6000396000f3fe6080604052600080fdfea2646970667358221220813a9e96e117427f34fb947427eaa720b7ed45489ced5c368825cd6ea344a1a964736f6c63430007040033";
    static readonly abi: {
        anonymous: boolean;
        inputs: {
            indexed: boolean;
            internalType: string;
            name: string;
            type: string;
        }[];
        name: string;
        type: string;
    }[];
    static createInterface(): GraphProxyStorageInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): GraphProxyStorage;
}
